CREATE TABLE `itasks_deleted` (
  `task_id` bigint NOT NULL AUTO_INCREMENT,
  `site_id` bigint DEFAULT NULL,
  `task_code` varchar(50) DEFAULT NULL,
  `task_title` varchar(100) DEFAULT NULL,
  `assign_to_user` bigint DEFAULT NULL,
  `milestone_id` bigint DEFAULT NULL,
  `contractor_id` bigint DEFAULT NULL,
  `task_description` varchar(300) DEFAULT NULL,
  `task_remarks` varchar(1000) DEFAULT NULL,
  `task_progress` int DEFAULT '0',
  `status_id` bigint DEFAULT NULL,
  `task_est_start_date` datetime DEFAULT NULL,
  `task_est_end_date` datetime DEFAULT NULL,
  `task_start_date` datetime DEFAULT NULL,
  `task_end_date` datetime DEFAULT NULL,
  `upload_attachment` varchar(900) DEFAULT NULL,
  `created_by` bigint DEFAULT NULL,
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `from_task_template_id` bigint DEFAULT NULL,
  `from_task_template_detail_id` bigint DEFAULT NULL,
  `calculated_flag` tinyint DEFAULT '0',
  `deleted_by` bigint DEFAULT NULL,
  `deleted_at` datetime DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`task_id`),
  KEY `FK_ref_itask_created_by_idx` (`created_by`),
  KEY `FK_ref_itask_site_id_idx` (`site_id`),
  KEY `FK_ref_itask_contractor_id_idx` (`contractor_id`),
  KEY `FK_ref_itask_milestone_id_idx` (`milestone_id`),
  KEY `FK_ref_itask_status_id_idx` (`status_id`),
  KEY `FK_ref_itask_status_id_idx1` (`assign_to_user`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
